Vizitown

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables
Public Member Functions | Public Attributes | List of all members
vizitown_plugin.vt_utils_provider_factory.ProviderFactory Class Reference

Class ProviderFactory Create the provider in function of the data. More...

Collaboration diagram for vizitown_plugin.vt_utils_provider_factory.ProviderFactory:

## Public Member Functions
def | __init__
| Constructor. More...
def | create_vector_providers
| create_vector_providers method Create all providers with the selected layers in the GUI More...
def | create_raster_providers
| create_raster_providers method Create all providers for DEM and raster More...
def | clear_rasters_directory
| clear_rasters_directory method Clean the rasters directory where the tile of data image are created the path to the repository More...

## Public Attributes
| providerManager
| parameters

## Detailed Description

Class ProviderFactory Create the provider in function of the data.

## Constructor & Destructor Documentation

def vizitown_plugin.vt_utils_provider_factory.ProviderFactory.__init__ | ( |  | self) |  |

Constructor.

## Member Function Documentation

def vizitown_plugin.vt_utils_provider_factory.ProviderFactory.clear_rasters_directory | ( |  | self,
|  |  | path
| ) |  |

clear_rasters_directory method Clean the rasters directory where the tile of data image are created the path to the repository

def vizitown_plugin.vt_utils_provider_factory.ProviderFactory.create_raster_providers | ( |  | self,
|  |  | dem,
|  |  | texture
| ) |  |

create_raster_providers method Create all providers for DEM and raster

Parameters

  dem | the Data Elevation Model
  texture | the texture image

def vizitown_plugin.vt_utils_provider_factory.ProviderFactory.create_vector_providers | ( |  | self,
|  |  | arrayLayer
| ) |  |

create_vector_providers method Create all providers with the selected layers in the GUI

Parameters

  arrayLayer | list of hte selected layers

## Member Data Documentation

vizitown_plugin.vt_utils_provider_factory.ProviderFactory.parameters

vizitown_plugin.vt_utils_provider_factory.ProviderFactory.providerManager

The documentation for this class was generated from the following file:

- vt_utils_provider_factory.py